[@rxap/form-system](../wiki/globals) / UseDataSourceSettings

# Interface: UseDataSourceSettings\<Source, Target\>

Defined in: [packages/angular/form-system/src/lib/decorators/use-data-source.ts:6](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/decorators/use-data-source.ts#L6)

## Type Parameters

• **Source** = `any`

• **Target** = `Source`

## Properties

### transformer()?

> `optional` **transformer**: (`source`) => `Target`

Defined in: [packages/angular/form-system/src/lib/decorators/use-data-source.ts:7](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/decorators/use-data-source.ts#L7)

#### Parameters

##### source

`Source`

#### Returns

`Target`
